View Issue Details

IDProjectCategoryView StatusLast Update
14895Bug reports[All Projects] Installationpublic2019-05-29 16:39
ReporternadineschwinglerAssigned Todominikvitt 
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary14895: Upgrading problem from 2* to 3.17.3
Description

Using MSSQL Server for DB i get this error when trying to update:
"
Ein Fehler trat während des Datenbankupdates auf. Fehlerinformation:

CDbCommand konnte das SQL-Statement nicht ausführen: SQLSTATE[23000]: [Microsoft][ODBC Driver 11 for SQL Server][SQL Server]Ein expliziter Wert für die Identitätsspalte kann nicht in der lime_surveymenu-Tabelle eingefügt werden, wenn IDENTITY_INSERT auf OFF festgelegt ist.

Datei D:\Webs\www2\limesurvey_mai\application\helpers\update\updatedb_helper.php, Zeile 2692.
"

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.17.3
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMSSQL Server
Server OS (if known)Windows Server
Webserver software & version (if known)
PHP Version5.6.0

Activities

DenisChenu

DenisChenu

2019-05-14 14:08

developer   ~51934

Related to menu insertion
https://github.com/LimeSurvey/LimeSurvey/blob/de196e56786b8b3e4aef9411c178fb6ad170b02d/application/helpers/update/updatedb_helper.php#L2692

dominikvitt

dominikvitt

2019-05-16 13:19

developer   ~51962

This issue is fixed.
The patch is now available on GitHub and would be available on next LimeSurvey release.
https://github.com/LimeSurvey/LimeSurvey/commit/20cff4dc1c904bc9fedeae13ec5ff90dd466dbca

c_schmitz

c_schmitz

2019-05-29 16:12

administrator   ~52177

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28894

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52213

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master 20cff4dc

2019-05-16 13:15:57

Dominik Vitt

Details Diff
Fixed issue 14895: Upgrading problem from version 2.* to 3.17.3 Affected Issues
14895
mod - application/helpers/update/updatedb_helper.php Diff File

Issue History

Date Modified Username Field Change
2019-05-14 13:46 nadineschwingler New Issue
2019-05-14 14:08 DenisChenu Note Added: 51934
2019-05-16 10:24 dominikvitt Assigned To => dominikvitt
2019-05-16 10:24 dominikvitt Status new => assigned
2019-05-16 13:19 dominikvitt Status assigned => resolved
2019-05-16 13:19 dominikvitt Resolution open => fixed
2019-05-16 13:19 dominikvitt Fixed in Version => 3.17.x
2019-05-16 13:19 dominikvitt Note Added: 51962
2019-05-29 16:12 Changeset attached => LimeSurvey master 20cff4dc
2019-05-29 16:12 c_schmitz Note Added: 52177
2019-05-29 16:39 c_schmitz Note Added: 52213
2019-05-29 16:39 c_schmitz Status resolved => closed